Subject: Re: devel tool wrappers and --version, --help
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: "Eric Blake" <[email-masked]>, <[email-masked]>
Date: Thu, 17 Jan 2002 07:56:23 +1100

===
----- Original Message -----
From: "Charles Wilson" <[email-masked]>

> Charles Wilson wrote:
>
> > I have already been given a patch to do this, but I am a little
> > concerned about implementation.  It makes sense to me, to defer to
the
> > -devel version, but I am concerned about ripple effects...
> >
> > IMO, if you are libtoolizing (autoconf'ing, automake'ing) a new
> > directory that has no existing configure.in, then the suggested
> > solutions should be sufficient:
> >   create a temporary configure.in that has only "AC_REQUIRE(2.52)"
> >    or
> >   set path = /usr/autotool/devel/bin
> >
> > Setting up the wrapper scripts to report one version or the other --
> > with no reason to prefer one over the other, such as a pre-existing
> > configure.in file -- is just lying.
>
>
> Just to make it clear -- I am not opposed to applying the patch to
> effect this behavior, but I am worried about unintended consequences.
> Discussion?

There is a problem that isn't addressed: autoscan.

Whatever heuristic is appropriate for autoscan should equally apply to
an empty directory.

I can't think of an appropriate heuristic, but your message
"autoscan: Couldn't find configure.ac nor configure.in file
run /usr/auto*/bin/autoscan directly"
seems reasonable to me. (That is, that the user must explicity choose in
this case).

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/